#ifndef _INC_LIBMEASURE_
#define _INC_LIBMEASURE_

#if BUILDING_DLL
# define DLLIMPORT __stdcall __declspec (dllexport)
#else /* Not BUILDING_DLL */
# define DLLIMPORT __stdcall __declspec (dllimport)
#endif /* Not BUILDING_DLL */

#define BUFFSIZE 64

#define RET_OK    0 /* Fehlerfreier Aufruf */
#define RET_WINI  1 /* WinSock Initialisierung fehlgeschlagen */
#define RET_SOCK  2 /* Fehler bei Anlage des Sockets */
#define RET_SERV  3 /* Server nicht gefunden */
#define RET_CONR  4 /* Verbindung vom Server abgelehnt */
#define RET_IOF   5 /* I/O-Fehler beim Senden oder Empfangen */
#define RET_CINV  6 /* command ungltig */
#define RET_TIME  7 /* Timeout */

DLLIMPORT
   int readMeasure(
      const char* server,
      int port,
      int timeout,
      int command,
      char* buff);

DLLIMPORT
   double PCMeasureGet(
      const char* server,
      const char* name);

DLLIMPORT
   int PCMeasureStatus();

DLLIMPORT
   double TestDouble();

DLLIMPORT
   float TestFloat();



#endif /* _DLL_H_ */
